* {
  font-family: Calibri;
  margin: 0;
  padding: 0;
}

html,
body {
  width: 100%;
  height: 100%;
  background: darkmagenta;
}

h2 {
  margin: 0 5px 0 5px;
}

#wrapper {
  width: 100%;
  height: 100%;
  display: grid;
  grid-template-rows: 50px auto 50px;
  grid-template-columns: auto 800px auto;
  grid-template-areas:
    "header header header"
    ". main ."
    "footer footer footer";
}

header {
  height: 50px;
  background: black;
  grid-area: header;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header-cell-left {
  height: 100%;
  padding: 0 0 0 5px;
  color: white;
  font-weight: bold;
  display: flex;
  align-items: center;
}

.header-cell-right {
  height: 100%;
  padding: 0 5px 0 0;
  color: white;
  display: flex;
  align-items: center;
}

.header-cell-right a {
  color: white;
}

main {
  grid-area: main;
}

footer {
  height: 50px;
  background: black;
  grid-area: footer;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
}

label {
  height: 2em;
  margin: 5px;
}

input {
  width: calc(100% - 20px);
  height: 2em;
  margin: 5px;
  padding: 5px;
  border: 2px solid darkblue;
  border-radius: 3px;
}

button {
  margin: 5px;
  padding: 5px;
  border: 2px solid darkblue;
  border-radius: 3px;
  background: darkblue;
  color: white;
  font-weight: normal;
}

.button-red {
  background: #ffe6e6;
  border: 2px solid #e60000;
  color: #e60000;
}

#loginFormContainer {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
}

[data-key="companyEditFormContainer"] {
  overflow-x: hidden;
  overflow-y: auto;
}

error-box {
  width: 100%;
  display: flex;
  flex-direction: column;
  color: #e60000;
  margin: 0 0 5px 0;
}

error-box div {
  flex: 1;
  background: #ffe6e6;
  border-top: 1px solid #e60000;
  padding: 5px;
  margin: 0 5px 0 5px;
  width: calc(100% - 18px);
}

[data-key="logoImg"] {
  margin: 5px;
  max-width: 300px;
}

.items {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
}

.item {
  flex-basis: calc(50% - 20px);
  background: rgb(246, 246, 248);
  margin: 5px;
  padding: 5px;
  display: flex;
  flex-wrap: wrap;
}

.item-fluid {
  flex-basis: calc(100% - 20px);
  background: rgb(246, 246, 248);
  margin: 5px;
  padding: 5px;
  display: flex;
  flex-wrap: wrap;
}

.item-100 {
  flex-basis: 100%;
}

.item-100-center {
  flex-basis: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.item-logo {
  height: 19px;
}

.item-50-bold {
  flex-basis: calc(50% - 5px);
  text-align: right;
  padding-right: 5px;
  font-weight: bold;
  border-top: 1px solid darkmagenta;
}

.item-50 {
  flex-basis: calc(50% - 5px);
  text-align: left;
  padding-left: 5px;
  border-top: 1px solid darkmagenta;
}

@media (max-width: 820px) {
  #wrapper {
    grid-template-columns: 10px auto 10px;
  }

  .item {
    flex-basis: 100%;
  }
}
